org.apache.fop.render.pdf.extensions

## Class PDFElementMapping

- java.lang.Object
- - org.apache.fop.fo.ElementMapping
  - - org.apache.fop.render.pdf.extensions.PDFElementMapping

-     public class PDFElementMapping
      extends ElementMapping

  This class provides the element mapping for the PDF-specific extensions.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.fop.fo.ElementMapping

      `ElementMapping.Maker`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `NAMESPACE` Namespace for the extension

    - ### Fields inherited from class org.apache.fop.fo.ElementMapping

      `DEFAULT, foObjs, namespaceURI`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PDFElementMapping()` Main constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `initialize()` Initializes the set of maker objects associated with this ElementMapping

    - ### Methods inherited from class org.apache.fop.fo.ElementMapping

      `getDefaultDOMImplementation, getDOMImplementation, getNamespaceURI, getStandardPrefix, getTable, isAttributeProperty`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NAMESPACE

          public static final java.lang.String NAMESPACE

      Namespace for the extension
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### PDFElementMapping

          public PDFElementMapping()

      Main constructor

  - ### Method Detail

    - #### initialize

          protected void initialize()

      Initializes the set of maker objects associated with this ElementMapping
      Specified by:
        `initialize` in class `ElementMapping`

Copyright 1999-2021 The Apache Software Foundation. All Rights Reserved.